FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
fir::detail::RealAttributeStorage Struct Reference
Inheritance diagram for fir::detail::RealAttributeStorage:

## Public Types
using | KeyTy = std::pair< int, llvm::APFloat >

## Public Member Functions
| RealAttributeStorage (int kind, const llvm::APFloat &value)
| RealAttributeStorage (const KeyTy &key)
bool | operator== (const KeyTy &key) const
int | getFKind () const
llvm::APFloat | getValue () const

## Static Public Member Functions
static unsigned | hashKey (const KeyTy &key)
static RealAttributeStorage * | construct (mlir::AttributeStorageAllocator &allocator, const KeyTy &key)

The documentation for this struct was generated from the following file:

- lib/Optimizer/Dialect/FIRAttr.cpp